/*
 * ccom.xs
 * -------
 *
 * Description file for connecting C-Source of "phonet" algorihm
 * with the PERL programming language.
 *
 * Copyright (c):
 * 2000:  Michael Maretzke, Mnchen, Germany
 *
 * This program is subject to the GNU Library General Public License (LGPL)
 * as published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this program; if not, write to the
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Actually, the LGPL is __less__ restrictive than the better known GNU General
 * Public License (GPL). See the GNU Library General Public License or the file
 * COPYING.LIB for more details and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * There is one important restriction: If you modify this program in any way
 * (e.g. add or change phonetic rules or modify the underlying logic or
 * translate this program into another programming language), you must also
 * release the changes under the terms of the LGPL.
 * That means you have to give out the source code to your changes,
 * and a very good way to do so is mailing them to the address given below.
 * I think this is the best way to promote further development and use
 * of this software.
 *
 * If you have any remarks, feel free to e-mail to:
 *     michael@maretzke.de
 */

#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"

#include "ccomlib/phonet.h"


MODULE = ccom		PACKAGE = ccom		

PROTOTYPES: ENABLED

char*
phonet(pszSrc)
		char* pszSrc
	CODE:
		/* 10000 is a constant for "USE_SECOND_RULE_SET" */
		phonet (pszSrc, pszSrc, strlen(pszSrc), SECOND_RULES);
		RETVAL = pszSrc;
	OUTPUT:
		RETVAL
	
char*
phonetRulesetOne(pszSrc)
		char* pszSrc
	CODE:
		/* 0 is a constant for "USE_FIRST_RULE_SET" */
		phonet (pszSrc, pszSrc, strlen(pszSrc), FIRST_RULES);
		RETVAL = pszSrc;
	OUTPUT:
		RETVAL

char*
phonetRulesetTwo(pszSrc)
		char* pszSrc
	CODE:
		/* 10000 is a constant for "USE_SECOND_RULE_SET" */
		phonet (pszSrc, pszSrc, strlen(pszSrc), SECOND_RULES);
		RETVAL = pszSrc;
	OUTPUT:
		RETVAL
